Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2683653007: Show a Google "G" in the omnibox on the New Tab Page. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by Bernhard Bauer
Modified:
4 months, 1 week ago
CC:
chromium-reviews, jdonnelly+watch_chromium.org, noyau+watch_chromium.org, ntp-dev+reviews_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Show a Google "G" in the omnibox on the New Tab Page. The "G" shrinks down and fades when focusing the omnibox or scrolling up. Screenshots of the base and half-expanded state: https://goo.gl/photos/EkCPYSVuMjgHmQrv8 BUG=690981 Review-Url: https://codereview.chromium.org/2683653007 Cr-Commit-Position: refs/heads/master@{#450056} Committed: https://chromium.googlesource.com/chromium/src/+/b7402e0e149bc2e59d44f5378b86b26d9d35565e

Patch Set 1 #

Patch Set 2 : findbugs #

Total comments: 4

Patch Set 3 : review & flag #

Patch Set 4 : histograms #

Patch Set 5 : comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+99 lines, -26 lines) Patch
M chrome/android/java/res/layout/location_bar.xml View 1 2 1 chunk +20 lines, -0 lines 0 comments Download
M chrome/android/java/res/layout/new_tab_page_layout.xml View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/android/java/res/values/dimens.xml View 2 chunks +5 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ChromeFeatureList.java View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/NewTabPageView.java View 1 2 1 chunk +7 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBarLayout.java View 1 2 2 chunks +1 line, -10 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBarPhone.java View 1 2 3 4 6 chunks +46 lines, -13 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBarTablet.java View 1 chunk +1 line, -1 line 0 comments Download
M chrome/app/generated_resources.grd View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/android/chrome_feature_list.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/android/chrome_feature_list.cc View 1 2 2 chunks +4 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 40 (29 generated)
Bernhard Bauer
findbugs
4 months, 1 week ago (2017-02-10 18:03:49 UTC) #6
Bernhard Bauer
Please review. I still need to add a feature to control this, but I'd be ...
4 months, 1 week ago (2017-02-10 18:06:48 UTC) #10
mdjones
Looks good, just some nits so far. https://codereview.chromium.org/2683653007/diff/20001/chrome/android/java/res/layout/location_bar.xml File chrome/android/java/res/layout/location_bar.xml (right): https://codereview.chromium.org/2683653007/diff/20001/chrome/android/java/res/layout/location_bar.xml#newcode16 chrome/android/java/res/layout/location_bar.xml:16: <ImageView android:id="@+id/google_g" ...
4 months, 1 week ago (2017-02-11 00:32:58 UTC) #15
Justin Donnelly
What about the case where the user has chosen another search engine?
4 months, 1 week ago (2017-02-13 15:22:34 UTC) #23
Bernhard Bauer
On 2017/02/13 15:22:34, Justin Donnelly wrote: > What about the case where the user has ...
4 months, 1 week ago (2017-02-13 17:18:01 UTC) #28
Justin Donnelly
On 2017/02/13 17:18:01, Bernhard Bauer wrote: > On 2017/02/13 15:22:34, Justin Donnelly wrote: > > ...
4 months, 1 week ago (2017-02-13 17:43:28 UTC) #29
Bernhard Bauer
Alexei, could I get an OWNERS review for histograms? Thanks! On 2017/02/13 17:43:28, Justin Donnelly ...
4 months, 1 week ago (2017-02-13 18:25:28 UTC) #33
Alexei Svitkine (very slow)
lgtm
4 months, 1 week ago (2017-02-13 18:27:46 UTC) #34
mdjones
lgtm
4 months, 1 week ago (2017-02-13 18:50:15 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2683653007/80001
4 months, 1 week ago (2017-02-13 18:55:04 UTC) #37
commit-bot: I haz the power
4 months, 1 week ago (2017-02-13 20:05:17 UTC) #40
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/b7402e0e149bc2e59d44f5378b86...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318